import * as s3 from '@aws-cdk/aws-s3';
import * as cdk from '@aws-cdk/core';
/**
 * @stability stable
 */
export interface RenovoS3BucketProps {
    /**
     * Rules that define how Amazon S3 manages objects during their lifetime.
     *
     * @stability stable
     */
    readonly lifecycleRules: s3.LifecycleRule[];
    /**
     * The name of the bucket.
     *
     * @stability stable
     */
    readonly name?: string;
}
/**
 * @stability stable
 */
export declare class RenovoS3Bucket extends cdk.Construct {
    /**
     * @stability stable
     */
    readonly bucket: s3.Bucket;
    /**
     * @stability stable
     */
    constructor(scope: cdk.Construct, id: string, props: RenovoS3BucketProps);
}
